// component/cardModal/cardModal.js
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')


Component({
  /**
   * 组件的属性列表
   */
  properties: {
    showCardModal:{
      type: Boolean,
      value: ''
    },
    cardTitle: {
      type: String,
      value: ''
    },
    cardUrl: {
      type: String,
      value: ''
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
  },

  /**
   * 组件的方法列表
   */
  methods: {
    gotoPoster(){
      this.setData({
        showCardModal:false
      })
      
      this.selectComponent('#getPoster').getAvaterInfo() 
    },

    _showMiniCard(e){
      console.log(e)
      this.setData({
        showCardModal: true
      })
    }

   
  }
})
